# $Revision: 1.29 $, $Date: 2002/07/21 17:36:05 $
Summary:	OpenMotif
Summary(pl):	OpenMotif
Name:		openmotif
Version:	2.1.30
Release:	8
License:	Open Group Public License
Group:		X11/Libraries
Source0:	ftp://ftp.uk.linux.org/pub/linux/openmotif/source/%{name}-%{version}-src.tgz
Source1:	%{name}-%{version}-icsextra.tgz
Source2:	mwmrc
Source3:	mwm.RunWM
Source4:	mwm.wm_style
Patch0:		%{name}-makedepend.patch
Patch1:		%{name}-build.patch
Patch2:		%{name}-mwm.patch
Patch3:		%{name}-mwmrc.patch
Patch4:		%{name}-ppc_fix.patch
BuildRequires:	XFree86-devel
BuildRequires:	byacc
Requires:	XFree86-libs
Provides:	motif = 2.1
# Not restricted, lesstif provided library version 1.2
# OpenMotif provide library version 2.1
#Obsoletes:	lesstif
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
Motif is the user interface standart in the Enterprise for
applications that run on UNIX platforms for Sun, HP, IBM, Compaq, SGI,
and others.

%description -l pl
Motif jest standardem wygldu interfejsu graficznego dla aplikacji
dziaajcych w rodowiskach UNIX takich jak Sun, HP, IBM, Compaq, SGI
i inne.

%package clients
Summary:	OpenMotif clients
Summary(pl):	OpenMotif - programy klienckie
Group:		X11/Applications
Requires:	%{name} = %{version}
Obsoletes:	lesstif-clients

%description clients
Uil and xmbind.

%description clients -l pl
uil i xmbind.

%package devel
Summary:	OpenMotif devel
Summary(pl):	Pliki nagwkowe OpenMotif
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}
Provides:	motif-devel = 2.1
Obsoletes:	lesstif-devel

%description devel
Header files for OpenMotif.

%description devel -l pl
Pliki nagwkowe dla bibliotek OpenMotif.

%package static
Summary:	OpenMotif static
Summary(pl):	Statyczne biblioteki OpenMotif
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}
Provides:	motif-static
Obsoletes:	lesstif-static

%description static
OpenMotif static libraries.

%description static -l pl
Biblioteki statyczne OpenMotif.

%package demos
Summary:	OpenMotif demos
Summary(pl):	Programy demonstracyjne do OpenMotif
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description demos
OpenMotif demos.

%description demos -l pl
Programy demonstracyjne do OpenMotif.

%package mwm
Summary:	Motif window manager
Summary(pl):	Motifowy zarzdca okien
Group:		X11/Window Managers
Requires:	%{name} = %{version}
Requires:	wmconfig >= 0.9.9-5
Requires:	xinitrc >= 3.0
Obsoletes:	lesstif-mwm

%description mwm
A BETA release of mwm. It is derived from fvwm, with a new parser that
understands mwmrc syntax, and a general understanding of Mwm
resources.

%description mwm -l pl
Wersja BETA mwm. Pochodzi z fvwm, ma nowy parser rozumiejcy skadni
mwmrc oraz zasoby Mwm.

%prep
%setup -q -n motif -b 1
rm -f config/cf/host.def
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

touch clients/mwm/mwm.man

mkdir -p imports/x11
cd imports/x11
ln -sf /usr/X11R6/include .
ln -sf /usr/X11R6/lib .
cd ../../config/cf
mkdir OPENGROUP
mv -f *.tmpl *.rules *.def OPENGROUP
ln -sf /usr/X11R6/lib/X11/config/* .
rm -f Motif.tmpl Motif.rules host.def
mv -f OPENGROUP/{Motif.tmpl,Motif.rules,host.def} .

%ifarch ppc
rm linux.cf
%patch4 -p3
%endif

%build
%{__make} World \
	IMAKE_DEFINES="-DYaccCmd=yacc" \
	BOOTSTRAPCFLAGS="%{rpmcflags}" \
	CDEBUGFLAGS="" CCOPTIONS="%{rpmcflags}" \
	CXXDEBUGFLAGS="" CXXOPTIONS="%{rpmcflags}" \
	RAWCPP="/lib/cpp"

# workaround - don't let rebuild onHelp with wrong options during %install
touch demos/lib/Xmd/onHelp.o demos/lib/Xmd/onHelp

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_examplesdir}/motif,/etc/{sysconfig/wmstyle,X11/mwm}}

%{__make} DESTDIR="$RPM_BUILD_ROOT" \
	INSTBINFLAGS="-m 755" \
	INSTPGMFLAGS="-m 755" \
	RAWCPP="/lib/cpp" \
	install install.man

cp -a doc/man/* $RPM_BUILD_ROOT%{_mandir}
mv -f $RPM_BUILD_ROOT%{_mandir}/man1/animate.1x \
	$RPM_BUILD_ROOT%{_mandir}/man1/xmanimate.1x

(cd demos
%{__make} clean
cp -a * $RPM_BUILD_ROOT%{_examplesdir}/motif/)

(cd doc/ps
find -name \*.Z -print | xargs uncompress
find -name \*.ps -print | xargs gzip -9nf)

install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/X11/mwm/system.mwmrc

install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/wmstyle/mwm.sh
install %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/wmstyle/mwm.names

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc doc/ps/README* LICENSE COPYRIGHT.MOTIF OPENBUGS README.ICS
%doc doc/ics/*.txt RELNOTES
%dir %{_libdir}/X11/uid
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_includedir}/bitmaps/*
%{_libdir}/X11/bindings

%files clients
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/uil*
%attr(755,root,root) %{_bindir}/xmbind
%{_mandir}/man1/uil.1*
%{_mandir}/man1/xmbind.1*

%files devel
%defattr(644,root,root,755)
%doc doc/ps/*
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/Mrm
%{_includedir}/Xm
%{_includedir}/uil
%{_mandir}/man3/*
%{_mandir}/man5/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files demos
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/DNDDemo
%attr(755,root,root) %{_bindir}/airport
%attr(755,root,root) %{_bindir}/autopopups
%attr(755,root,root) %{_bindir}/dainput
%attr(755,root,root) %{_bindir}/dogs
%attr(755,root,root) %{_bindir}/draw
%attr(755,root,root) %{_bindir}/earth
%attr(755,root,root) %{_bindir}/exm_in_c
%attr(755,root,root) %{_bindir}/exm_in_uil
%attr(755,root,root) %{_bindir}/filemanager
%attr(755,root,root) %{_bindir}/fileview
%attr(755,root,root) %{_bindir}/getsubres
%attr(755,root,root) %{_bindir}/helloint
%attr(755,root,root) %{_bindir}/hellomotif
%attr(755,root,root) %{_bindir}/i18ninput
%attr(755,root,root) %{_bindir}/motifshell
%attr(755,root,root) %{_bindir}/onHelp
%attr(755,root,root) %{_bindir}/panner
%attr(755,root,root) %{_bindir}/periodic
%attr(755,root,root) %{_bindir}/piano
%attr(755,root,root) %{_bindir}/sampler2_0
%attr(755,root,root) %{_bindir}/setDate
%attr(755,root,root) %{_bindir}/simpleDemo
%attr(755,root,root) %{_bindir}/simpledrop
%attr(755,root,root) %{_bindir}/todo
%attr(755,root,root) %{_bindir}/wsm
%attr(755,root,root) %{_bindir}/xmanimate
%attr(755,root,root) %{_bindir}/xmapdef
%attr(755,root,root) %{_bindir}/xmfonts
%attr(755,root,root) %{_bindir}/xmforc
%attr(755,root,root) %{_bindir}/xmform
%{_libdir}/X11/app-defaults/Fileview
%{_libdir}/X11/app-defaults/Xmd*
%{_libdir}/X11/uid/*
%{_mandir}/man1/DNDDemo.1*
%{_mandir}/man1/autopopups.1*
%{_mandir}/man1/draw.1*
%{_mandir}/man1/earth.1*
%{_mandir}/man1/exm_in_c.1*
%{_mandir}/man1/exm_in_uil.1*
%{_mandir}/man1/filemanager.1*
%{_mandir}/man1/getsubres.1*
%{_mandir}/man1/helloint.1*
%{_mandir}/man1/i18ninput.1*
%{_mandir}/man1/panner.1*
%{_mandir}/man1/periodic.1*
%{_mandir}/man1/piano.1*
%{_mandir}/man1/sampler2_0.1*
%{_mandir}/man1/setDate.1*
%{_mandir}/man1/simpleDemo.1*
%{_mandir}/man1/simpledrop.1*
%{_mandir}/man1/todo.1*
%{_mandir}/man1/wsm.1*
%{_mandir}/man1/xmanimate.1*
%{_examplesdir}/motif

%files mwm
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mwm
%dir %{_sysconfdir}/X11/mwm
%config %{_sysconfdir}/X11/mwm/*
%attr(755,root,root) /etc/sysconfig/wmstyle/*.sh
/etc/sysconfig/wmstyle/*.names
%{_libdir}/X11/app-defaults/Mwm
%{_mandir}/man1/mwm.1*
%{_mandir}/man4/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: openmotif.spec,v $
Revision 1.29  2002/07/21 17:36:05  kloczek
- remove %doc gzipping from %install

Revision 1.28  2002/07/13 14:41:24  marcus
- use new %%doc
- rel.8.

Revision 1.27  2002/07/13 14:37:11  mmazur
- fixed building on ppc

Revision 1.26  2002/03/26 01:18:29  ankry
- fixed mwm menu generation; release 7

Revision 1.25  2002/02/22 23:29:21  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.24  2002/02/02 20:44:28  ankry
- adding es/fr Group translations

Revision 1.23  2002/01/18 02:14:07  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2002/01/17 20:19:22  qboosh
- some cosmetics, added workaround so build succeeds now
- note: byacc is required, doesn't build with bison...
- release 6

Revision 1.21  2001/11/23 12:34:36  qboosh
- s/Copyright/License/, adapterized, -mwm pl description

Revision 1.20  2001/09/20 17:49:20  filon
- added Provides: motif to main package
- added version information to Provides: motif-devel
- cosmetics

Revision 1.19  2001/09/17 22:27:54  filon
- added touch clients/mwm/mwm.man, this file should exist
- changed build patch: added one line to config/cf/host.def
- release 5, now builds

Revision 1.18  2001/06/14 09:12:45  klakier
- typo

Revision 1.17  2001/05/02 16:29:11  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.16  2000/08/29 14:09:41  baggins
- release 4
- mwm requires xinitrc 3.0
- added scripts and configs for xinitrc 3.0

Revision 1.15  2000/06/24 13:03:50  baggins
- release 3
- added new mwmrc configs
- move mwm config to /etc/X11/mwm
- added patch to do so
- mwm requires wmconfig >= 0.9.8-3

Revision 1.14  2000/06/18 09:45:49  kloczek
- fiew cosmetics.

Revision 1.13  2000/06/18 07:21:58  cieciwa
- typo,
- added Obsoletes: lesstif in package devel, clients, mwm

Revision 1.12  2000/06/12 13:37:44  baggins
- release 2
- added provides motif-devel and motif-static

Revision 1.11  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.10  2000/06/08 17:20:53  baggins
- changed app-defaults paths
- does not rewuire X 4.0

Revision 1.9  2000/06/07 21:51:23  baggins
- small cleanup in demos package

Revision 1.8  2000/06/07 20:28:49  baggins
- getsubres is a demo

Revision 1.7  2000/06/07 20:03:27  baggins
- requires Xlibs >= 4.0

Revision 1.6  2000/06/07 20:02:52  baggins
- (build)requires X >= 4.0

Revision 1.5  2000/06/07 19:31:11  baggins
- added clients, demos, mwm packages
- cleaned up build, install and files
- added build, mwm patches
- added ics addons

Revision 1.4  2000/06/06 18:26:49  baggins
- added makedepend patch
- it compiles!

Revision 1.3  2000/05/22 17:23:05  cieciwa
- startde compile process, but founding too many errors.
  Don't know in my machine - or in source.

Revision 1.2  2000/05/18 09:05:04  cieciwa
- added devel and static package.

Revision 1.1  2000/05/18 08:29:20  cieciwa
- initail spec.
